int trigPin=12; //pin 12 udsender et ultralydstrig
int echoPin=11; //pin 11 modtager echo
float vlyd=0.034; //Lydens fart ved stuetemperatur i cm/mikrosek
long tidsforskel; //tiden mellem udsendelse og modtagelse af trig
float afstand; //afstand som decimaltal


void setup() {
Serial.begin(9600); //Programmet klargøres
pinMode(trigPin,OUTPUT); // trigPin klargøres til output
pinMode(echoPin,INPUT); //echo klargøres til input

}

void loop() {
digitalWrite(trigPin,LOW); //Klargøre trigpin
delayMicroseconds(2); //programmet venter 2 mikrosek
digitalWrite(trigPin,HIGH);  
delayMicroseconds(10); //Sætter trigpin til HIGH i 10 mikrosek
tidsforskel=pulseIn(echoPin,HIGH); //Tidsofrskellen læses på echopin i mikrosek
afstand=tidsforskel*vlyd/2; //Beregner afstanden i centimeter
Serial.print("afstand:"); //Printer afstand
Serial.println(afstand);
delay(1000); //tid mellem afstandsmålinger 1sek =1000 msek

}
